



# ----------------------------------------------------
# permission
# ----------------------------------------------------

- classname: _permission
  keyname: p_test01
  is_builtin: True
  description: permission 01
  displayname: p_test_01

- classname: _permission
  keyname: p_test02
  is_builtin: False
  description: permission 02
  displayname: p_test_02


#  --------------------------------------------
# permissions : test
#  --------------------------------------------

- classname: _permission
  keyname: p_test_admin
  description: "Built-in test admin permission"
  displayname: "p_test_admin"

- classname: _permission
  keyname: p_test_create
  description: "Built-in test create permission"
  displayname: p_test_create

- classname: _permission
  keyname: p_test_read
  description: "Built-in test read permission"
  displayname: p_test_read

- classname: _permission
  keyname: p_test_update
  description: "Built-in test update permission"
  displayname: p_test_update
      
- classname: _permission
  keyname: p_test_delete
  description: "Built-in test delete permission"
  displayname: p_test_delete
     

# test1

- classname: _permission
  keyname: p_test1_admin
  description: "Built-in test1 admin permission"
  displayname: "p_test1_admin"

- classname: _permission
  keyname: p_test1_create
  description: "Built-in test1 create permission"
  displayname: p_test1_create

- classname: _permission
  keyname: p_test1_read
  description: "Built-in test1 read permission"
  displayname: p_test1_read

- classname: _permission
  keyname: p_test1_update
  description: "Built-in test1 update permission"
  displayname: p_test1_update
      
- classname: _permission
  keyname: p_test1_delete
  description: "Built-in test1 delete permission"
  displayname: p_test1_delete

# ------------------------
# test 2 (> test1)
# -------------------------

- classname: _permission
  keyname: p_test2_admin
  description: "Built-in test2 admin permission"
  displayname: "p_test2_admin"

- classname: _permission
  keyname: p_test2_create
  description: "Built-in test2 create permission"
  displayname: p_test2_create

- classname: _permission
  keyname: p_test2_read
  description: "Built-in test2 read permission"
  displayname: p_test2_read

- classname: _permission
  keyname: p_test2_update
  description: "Built-in test2 update permission"
  displayname: p_test2_update
      
- classname: _permission
  keyname: p_test2_delete
  description: "Built-in test2 delete permission"
  displayname: p_test2_delete


# ------------------------
# test 3 (> test2)
# -------------------------


- classname: _permission
  keyname: p_test3_admin
  description: "Built-in test3 admin permission"
  displayname: "p_test3_admin"

- classname: _permission
  keyname: p_test3_create
  description: "Built-in test3 create permission"
  displayname: p_test3_create

- classname: _permission
  keyname: p_test3_read
  description: "Built-in test3 read permission"
  displayname: p_test3_read

- classname: _permission
  keyname: p_test3_update
  description: "Built-in test3 update permission"
  displayname: p_test3_update
      
- classname: _permission
  keyname: p_test3_delete
  description: "Built-in test3 delete permission"
  displayname: p_test3_delete


# ------------------------
# test4 (> test3)
# -------------------------

- classname: _permission
  keyname: p_test4_admin
  description: "Built-in test4 admin permission"
  displayname: "p_test4_admin"

- classname: _permission
  keyname: p_test4_create
  description: "Built-in test4 create permission"
  displayname: p_test4_create

- classname: _permission
  keyname: p_test4_read
  description: "Built-in test4 read permission"
  displayname: p_test4_read

- classname: _permission
  keyname: p_test4_update
  description: "Built-in test4 update permission"
  displayname: p_test4_update
      
- classname: _permission
  keyname: p_test4_delete
  description: "Built-in test4 delete permission"
  displayname: p_test4_delete